@import 'Ken2.Client.xjtmznvmrn.bundle.scp.css';
@import '_content/Ken2.Shared/Ken2.Shared.gu6s8qakqj.bundle.scp.css';
@import '_content/Microsoft.AspNetCore.Components.QuickGrid/Microsoft.AspNetCore.Components.QuickGrid.boiwgh0w5b.bundle.scp.css';

/* /Components/Layout/ReconnectModal.razor.rz.scp.css */
.components-reconnect-first-attempt-visible[b-wrnkef0pqy],
.components-reconnect-repeated-attempt-visible[b-wrnkef0pqy],
.components-reconnect-failed-visible[b-wrnkef0pqy],
.components-pause-visible[b-wrnkef0pqy],
.components-resume-failed-visible[b-wrnkef0pqy],
.components-rejoining-animation[b-wrnkef0pqy] {
    display: none;
}

#components-reconnect-modal.components-reconnect-show .components-reconnect-first-attempt-visible[b-wrnkef0pqy],
#components-reconnect-modal.components-reconnect-show .components-rejoining-animation[b-wrnkef0pqy],
#components-reconnect-modal.components-reconnect-paused .components-pause-visible[b-wrnkef0pqy],
#components-reconnect-modal.components-reconnect-resume-failed .components-resume-failed-visible[b-wrnkef0pqy],
#components-reconnect-modal.components-reconnect-retrying[b-wrnkef0pqy],
#components-reconnect-modal.components-reconnect-retrying .components-reconnect-repeated-attempt-visible[b-wrnkef0pqy],
#components-reconnect-modal.components-reconnect-retrying .components-rejoining-animation[b-wrnkef0pqy],
#components-reconnect-modal.components-reconnect-failed[b-wrnkef0pqy],
#components-reconnect-modal.components-reconnect-failed .components-reconnect-failed-visible[b-wrnkef0pqy] {
    display: block;
}


#components-reconnect-modal[b-wrnkef0pqy] {
    background-color: white;
    width: 20rem;
    margin: 20vh auto;
    padding: 2rem;
    border: 0;
    border-radius: 0.5rem;
    box-shadow: 0 3px 6px 2px rgba(0, 0, 0, 0.3);
    opacity: 0;
    transition: display 0.5s allow-discrete, overlay 0.5s allow-discrete;
    animation: components-reconnect-modal-fadeOutOpacity-b-wrnkef0pqy 0.5s both;
    &[open]

{
    animation: components-reconnect-modal-slideUp-b-wrnkef0pqy 1.5s cubic-bezier(.05, .89, .25, 1.02) 0.3s, components-reconnect-modal-fadeInOpacity-b-wrnkef0pqy 0.5s ease-in-out 0.3s;
    animation-fill-mode: both;
}

}

#components-reconnect-modal[b-wrnkef0pqy]::backdrop {
    background-color: rgba(0, 0, 0, 0.4);
    animation: components-reconnect-modal-fadeInOpacity-b-wrnkef0pqy 0.5s ease-in-out;
    opacity: 1;
}

@keyframes components-reconnect-modal-slideUp-b-wrnkef0pqy {
    0% {
        transform: translateY(30px) scale(0.95);
    }

    100% {
        transform: translateY(0);
    }
}

@keyframes components-reconnect-modal-fadeInOpacity-b-wrnkef0pqy {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes components-reconnect-modal-fadeOutOpacity-b-wrnkef0pqy {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

.components-reconnect-container[b-wrnkef0pqy] {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
}

#components-reconnect-modal p[b-wrnkef0pqy] {
    margin: 0;
    text-align: center;
}

#components-reconnect-modal button[b-wrnkef0pqy] {
    border: 0;
    background-color: #6b9ed2;
    color: white;
    padding: 4px 24px;
    border-radius: 4px;
}

    #components-reconnect-modal button:hover[b-wrnkef0pqy] {
        background-color: #3b6ea2;
    }

    #components-reconnect-modal button:active[b-wrnkef0pqy] {
        background-color: #6b9ed2;
    }

.components-rejoining-animation[b-wrnkef0pqy] {
    position: relative;
    width: 80px;
    height: 80px;
}

    .components-rejoining-animation div[b-wrnkef0pqy] {
        position: absolute;
        border: 3px solid #0087ff;
        opacity: 1;
        border-radius: 50%;
        animation: components-rejoining-animation-b-wrnkef0pqy 1.5s cubic-bezier(0, 0.2, 0.8, 1) infinite;
    }

        .components-rejoining-animation div:nth-child(2)[b-wrnkef0pqy] {
            animation-delay: -0.5s;
        }

@keyframes components-rejoining-animation-b-wrnkef0pqy {
    0% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    4.9% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    5% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 1;
    }

    100% {
        top: 0px;
        left: 0px;
        width: 80px;
        height: 80px;
        opacity: 0;
    }
}
/* /Components/Pages/EinsatzplanungDE/Einsatzplanung.razor.rz.scp.css */
/* Neue Version */
.table-planning[b-dbh9zmg76x] {
    font-size: 0.8rem;
}
/* Fixierte Breite für die Zeitleiste */
.time-col[b-dbh9zmg76x] {
    width: 110px;
    background-color: #f8f9fa !important;
    font-weight: bold;
    border-right: 2px solid #dee2e6 !important;
}
/* Der kompakte Zahlen-Container (Pille) */
.stats-badge[b-dbh9zmg76x] {
    display: inline-flex;
    align-items: center;
    background-color: #f1f3f5; /* Das Hellgrau aus deinem Wunsch */
    padding: 2px 8px;
    border-radius: 6px;
    min-width: 65px;
    justify-content: left;
}
/* Der farbige Indikator-Balken */
.status-line[b-dbh9zmg76x] {
    width: 4px;
    height: 16px;
    border-radius: 2px;
    margin-right: 6px;
}

.highlight-col[b-dbh9zmg76x] {
    background-color: #fef7ba !important;
}
/* Tabellenzellen-Ausrichtung */
.table-planning td[b-dbh9zmg76x] {
    vertical-align: middle;
    padding: 1px 4px !important;
}

.table-planning th[b-dbh9zmg76x] {
    background-color: #f8f9fa !important;
}

    .table-planning th:nth-child(7)[b-dbh9zmg76x], .table-planning th:nth-child(8)[b-dbh9zmg76x],
    .table-planning td:nth-child(7)[b-dbh9zmg76x], .table-planning td:nth-child(8)[b-dbh9zmg76x] {
        background-color: #a7b8c436 !important;
    }

/* /Components/Pages/ErfassungAT/ErfassungATDetails.razor.rz.scp.css */
/* Fokus-Hervorhebung in Orange */
.form-control-sm:focus[b-hls7eiqnv7], .form-select-sm:focus[b-hls7eiqnv7] {
    border-color: var(--brand-orange);
    box-shadow: 0 0 0 0.25rem var(--brand-orange-light);
    background-color: #fffaf5; /* Ganz zarter Orange-Stich im Hintergrund */
}

/* Kompakte Header-Styles */
/*.card-header {
    font-weight: bold;*/
/*font-size: 0.75rem;*/
/*letter-spacing: 0.5px;
    min-height:2.5rem;
}*/


/* Anpassungen für Validation Summaries*/
/* Versteckt den Container, wenn die Liste leer ist */
.custom-validation-summary :plural-pseudo-class-undefined:empty[b-hls7eiqnv7] {
    display: none;
}


/* 1. Den Abstand der Liste (ul) korrigieren */
/* Den Container ansprechen */
[b-hls7eiqnv7] .custom-validation-summary .alert-danger {
    display: flex;
    flex-direction: column;
    padding-left: 1rem !important; /* Erzwingt schmalen Rand links */
    list-style-position: inside; /* Zwingt Punkte in den sichtbaren Bereich */
}

/* Die Überschrift als erstes Element in der Flex-Box */
[b-hls7eiqnv7] .alert-danger::before {
    content: "Bitte korrigieren Sie die folgenden Fehler:";
    display: block;
    order: -1; /* Stellt sicher, dass es ganz oben steht */
    font-weight: bold;
    font-size: 1.3rem;
    margin-bottom: 0.5rem;
    color: #842029; /* Passendes Dunkelrot für Bootstrap Danger */
    list-style-type: none; /* Verhindert, dass die Überschrift einen Punkt bekommt */
}

/* Die einzelnen Fehlermeldungen */
[b-hls7eiqnv7] .validation-message {
    margin-left: 1.5rem; /* Kleiner Abstand vom Punkt zum Text */
    display: list-item; /* Stellt sicher, dass es ein Listenpunkt bleibt */
}
/* Ende für Validation Summaries*/



/* /Components/Pages/ErfassungCH/ErfassungCHDetails.razor.rz.scp.css */
/* Fokus-Hervorhebung in Orange */
.form-control-sm:focus[b-ed3iksm3o6], .form-select-sm:focus[b-ed3iksm3o6] {
    border-color: var(--brand-orange);
    box-shadow: 0 0 0 0.25rem var(--brand-orange-light);
    background-color: #fffaf5; /* Ganz zarter Orange-Stich im Hintergrund */
}

/* Kompakte Header-Styles */
/*.card-header {
    font-weight: bold;*/
/*font-size: 0.75rem;*/
/*letter-spacing: 0.5px;
    min-height:2.5rem;
}*/


/* Anpassungen für Validation Summaries*/
/* Versteckt den Container, wenn die Liste leer ist */
.custom-validation-summary :plural-pseudo-class-undefined:empty[b-ed3iksm3o6] {
    display: none;
}


/* 1. Den Abstand der Liste (ul) korrigieren */
/* Den Container ansprechen */
[b-ed3iksm3o6] .custom-validation-summary .alert-danger {
    display: flex;
    flex-direction: column;
    padding-left: 1rem !important; /* Erzwingt schmalen Rand links */
    list-style-position: inside; /* Zwingt Punkte in den sichtbaren Bereich */
}

/* Die Überschrift als erstes Element in der Flex-Box */
[b-ed3iksm3o6] .alert-danger::before {
    content: "Bitte korrigieren Sie die folgenden Fehler:";
    display: block;
    order: -1; /* Stellt sicher, dass es ganz oben steht */
    font-weight: bold;
    font-size: 1.3rem;
    margin-bottom: 0.5rem;
    color: #842029; /* Passendes Dunkelrot für Bootstrap Danger */
    list-style-type: none; /* Verhindert, dass die Überschrift einen Punkt bekommt */
}

/* Die einzelnen Fehlermeldungen */
[b-ed3iksm3o6] .validation-message {
    margin-left: 1.5rem; /* Kleiner Abstand vom Punkt zum Text */
    display: list-item; /* Stellt sicher, dass es ein Listenpunkt bleibt */
}
/* Ende für Validation Summaries*/



/* /Components/Pages/ErfassungDE/ErfassungDEDetails.razor.rz.scp.css */
/* Fokus-Hervorhebung in Orange */
.form-control-sm:focus[b-btz9ba5hk2], .form-select-sm:focus[b-btz9ba5hk2] {
    border-color: var(--brand-orange);
    box-shadow: 0 0 0 0.25rem var(--brand-orange-light);
    background-color: #fffaf5; /* Ganz zarter Orange-Stich im Hintergrund */
}

/* Kompakte Header-Styles */
/*.card-header {
    font-weight: bold;*/
    /*font-size: 0.75rem;*/
    /*letter-spacing: 0.5px;
    min-height:2.5rem;
}*/


/* Anpassungen für Validation Summaries*/
/* Versteckt den Container, wenn die Liste leer ist */
.custom-validation-summary :plural-pseudo-class-undefined:empty[b-btz9ba5hk2] {
    display: none;
}


/* 1. Den Abstand der Liste (ul) korrigieren */
/* Den Container ansprechen */
[b-btz9ba5hk2] .custom-validation-summary .alert-danger {
    display: flex;
    flex-direction: column;
    padding-left: 1rem !important; /* Erzwingt schmalen Rand links */
    list-style-position: inside; /* Zwingt Punkte in den sichtbaren Bereich */
}

/* Die Überschrift als erstes Element in der Flex-Box */
[b-btz9ba5hk2] .alert-danger::before {
    content: "Bitte korrigieren Sie die folgenden Fehler:";
    display: block;
    order: -1; /* Stellt sicher, dass es ganz oben steht */
    font-weight: bold;
    font-size:1.3rem;
    margin-bottom: 0.5rem;
    color: #842029; /* Passendes Dunkelrot für Bootstrap Danger */
    list-style-type: none; /* Verhindert, dass die Überschrift einen Punkt bekommt */
}

/* Die einzelnen Fehlermeldungen */
[b-btz9ba5hk2] .validation-message {
    margin-left: 1.5rem; /* Kleiner Abstand vom Punkt zum Text */
    display: list-item; /* Stellt sicher, dass es ein Listenpunkt bleibt */
}
/* Ende für Validation Summaries*/



/* /Components/Pages/InteressentenAT/InteressentenDetailsAT.razor.rz.scp.css */
/* Fokus-Hervorhebung in Orange */
.form-control-sm:focus[b-ldwlsm5dgd], .form-select-sm:focus[b-ldwlsm5dgd] {
    border-color: var(--brand-orange);
    box-shadow: 0 0 0 0.25rem var(--brand-orange-light);
    background-color: #fffaf5; /* Ganz zarter Orange-Stich im Hintergrund */
}

/* Kompakte Header-Styles */
/*.card-header {
    font-weight: bold;*/
/*font-size: 0.75rem;*/
/*letter-spacing: 0.5px;
    min-height:2.5rem;
}*/


/* Anpassungen für Validation Summaries*/
/* Versteckt den Container, wenn die Liste leer ist */
.custom-validation-summary :plural-pseudo-class-undefined:empty[b-ldwlsm5dgd] {
    display: none;
}


/* 1. Den Abstand der Liste (ul) korrigieren */
/* Den Container ansprechen */
[b-ldwlsm5dgd] .custom-validation-summary .alert-danger {
    display: flex;
    flex-direction: column;
    padding-left: 1rem !important; /* Erzwingt schmalen Rand links */
    list-style-position: inside; /* Zwingt Punkte in den sichtbaren Bereich */
}

/* Die Überschrift als erstes Element in der Flex-Box */
[b-ldwlsm5dgd] .alert-danger::before {
    content: "Bitte korrigieren Sie die folgenden Fehler:";
    display: block;
    order: -1; /* Stellt sicher, dass es ganz oben steht */
    font-weight: bold;
    font-size: 1.3rem;
    margin-bottom: 0.5rem;
    color: #842029; /* Passendes Dunkelrot für Bootstrap Danger */
    list-style-type: none; /* Verhindert, dass die Überschrift einen Punkt bekommt */
}

/* Die einzelnen Fehlermeldungen */
[b-ldwlsm5dgd] .validation-message {
    margin-left: 1.5rem; /* Kleiner Abstand vom Punkt zum Text */
    display: list-item; /* Stellt sicher, dass es ein Listenpunkt bleibt */
}
/* Ende für Validation Summaries*/



